<style>
    #Setting_max_document_size {
        width: 175px !important;
    }

    #Setting_tid_daily_fine {
        width: 169px !important;
    }

    #Setting_grace_period {
        width: 156px !important;
    }

    #Setting_dashboard_update{
	width: 138px !important;
    }

</style>

<?php
/* @var $this SettingController */

$this->breadcrumbs = array(
    'Setting',
);
?>
<?php
$this->breadcrumbs = array(
    yii::t('default', 'Configurations') => array('/dashboardLayout/configuration'),
    yii::t('default', 'System Configurations') => array('/dashboardLayout/systemConfiguration'),
    yii::t('default', 'Settings') => array('index'),
);
?>


<?php
$form = $this->beginWidget('bootstrap.widgets.TbActiveForm', array(
	    'id' => 'setting-form',
	    'enableAjaxValidation' => false,
	)); ?>

<?php $this->widget('bootstrap.widgets.TbAlert'); ?>

<?php
echo $form->textFieldControlGroup($settings_model, 'first_ldap_server', array('value' => $settings_array["first_ldap_server"]));

echo $form->textFieldControlGroup($settings_model, 'second_ldap_server', array('value' => $settings_array["second_ldap_server"]));

echo $form->textFieldControlGroup($settings_model, 'first_authentication_ldap_server', array('value' => $settings_array["first_authentication_ldap_server"]));

echo $form->textFieldControlGroup($settings_model, 'second_authentication_ldap_server', array('value' => $settings_array["second_authentication_ldap_server"]));

echo $form->textFieldControlGroup($settings_model, 'ldap_port', array('value' => $settings_array["ldap_port"]));

echo $form->textFieldControlGroup($settings_model, 'base_dn', array('value' => $settings_array["base_dn"]));

echo $form->textFieldControlGroup($settings_model, 'max_document_size', array('value' => $settings_array["max_document_size"], 'append' => 'MB')); ?>

<?php
echo $form->textFieldControlGroup($settings_model, 'tid_daily_fine', array('value' => $settings_array["tid_daily_fine"], 'append' => 'USD'));
?>

<?php
echo $form->textFieldControlGroup($settings_model, 'grace_period', array('value' => $settings_array["grace_period"], 'append' => 'Day(s)'));
?>


<?php
echo $form->textFieldControlGroup($settings_model, 'documents_path', array('value' => $settings_array["documents_path"]));

$settings_model->vehicle_type_of_asset = Setting::getVehicleTypeOfAsset();
echo $form->dropDownListControlGroup($settings_model, 'vehicle_type_of_asset', TypeOfAsset::getNamesForDropDown(), array('empty' => Yii::t('default', 'Select Type of Asset')));

$settings_model->radio_active_type_of_asset = Setting::getRadioActiveTypeOfAsset();
echo $form->dropDownListControlGroup($settings_model, 'radio_active_type_of_asset', TypeOfAsset::getNamesForDropDown(), array('empty' => Yii::t('default', 'Select Type of Asset')));

echo $form->textFieldControlGroup($settings_model, 'backup_file_path', array('value' => $settings_array["backup_file_path"]));

echo $form->textFieldControlGroup($settings_model, 'dashboard_update', array('value' => $settings_array["dashboard_update"], 'append' => 'Seconds'));

$settings_model->under_transfer_renewal_stage = Setting::getUnderTransferOfPrivilege();
echo $form->dropDownListControlGroup($settings_model, 'under_transfer_renewal_stage', RenewalStage::getNamesForDropDown(), array('empty' => Yii::t('default', 'Select Processing Stage')));
?>


<div class="actions">
    <?php echo CHtml::submitButton(Yii::t('default', 'Save'), array('class' => 'btn primary', 'name' => 'settings')); ?>
</div>

<?php $this->endWidget(); ?> <!-- end the widget of the form-->
